# eric3.Graphics.PixmapCanvasView

Module implementing a subclass of QCanvasView for viewing a pixmap.

### Classes

PixmapCanvasView | Class implementing a specialized canvasview for viewing a pixmap.

### Functions

None

## PixmapCanvasView

Class implementing a specialized canvasview for viewing a pixmap.

### Derived from

QCanvasView

### Methods

PixmapCanvasView | Constructor
contextMenuEvent | Overriden method to handle a context menu event.
doZoom | Private method to perform the zooming.
handlePrintDiagram | Private slot called to print the diagram.
handleZoom | Private method to handle the zoom context menu action.
handleZoomIn | Private method to handle the zoom in context menu entry.
handleZoomOut | Private method to handle the zoom out context menu entry.
handleZoomReset | Private method to handle the reset zoom context menu entry.
showPixmap | Method used to show a pixmap.

### PixmapCanvasView (Constructor)

PixmapCanvasView(canvas, parent=None, name=None, flags=0)

Constructor

canvas
  canvas that is managed by the view (QCanvas)
flags
  the window flags to be passed to the view widget
name
  name of the view widget (QString or string)
parent
  parent widget of the view (QWidget)

### PixmapCanvasView.contextMenuEvent

contextMenuEvent(evt)

Overriden method to handle a context menu event.

evt
  context menu event (QContextMenuEvent)

### PixmapCanvasView.doZoom

doZoom()

Private method to perform the zooming.

### PixmapCanvasView.handlePrintDiagram

handlePrintDiagram()

Private slot called to print the diagram.

### PixmapCanvasView.handleZoom

handleZoom()

Private method to handle the zoom context menu action.

### PixmapCanvasView.handleZoomIn

handleZoomIn()

Private method to handle the zoom in context menu entry.

### PixmapCanvasView.handleZoomOut

handleZoomOut()

Private method to handle the zoom out context menu entry.

### PixmapCanvasView.handleZoomReset

handleZoomReset()

Private method to handle the reset zoom context menu entry.

### PixmapCanvasView.showPixmap

showPixmap(pixmapfile)

Method used to show a pixmap.

pixmapfile
  filename of the graphics file (QString or string)

Returns:
  flag indicating successful loading of the file (boolean)

Up